Bug 998829 - Conversation type property has no type set when activity is queried over REST
Conversation type property has no type set when activity is queried over REST
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER2
: 6.0.0
Assigned To: Gary Brown
Jiri Sedlacek
Depends On:
  Show dependency treegraph
Reported: 2013-08-20 03:47 EDT by Jiri Pechanec
Modified: 2015-08-02 19:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-255 Major Closed Remove default type from the context, so json serialized form has it listed explicitly 2014-07-02 05:18:43 EDT

  None (edit)
Description Jiri Pechanec 2013-08-20 03:47:49 EDT
I have an IP configured to set Conversation context. It is properly stored in the database as can be seen using
12e5af2c-361c-4bc9-99d6-8aa8cc1d9c7a	0	0	Conversation	1

But when a REST call is done the it returns


A type is missing for Conversation value
Comment 1 Gary Brown 2013-08-20 05:17:06 EDT
Wasn't a bug as such - the Conversation type was the default value, and json serialization has been configured not to include values that are the same as the default, to ensure it is the most concise representation.

However for clarity, it is probably better that the context type is explicit, so have removed the default type from the Context object.
Comment 2 Jiri Pechanec 2013-09-16 06:14:21 EDT
Verified in ER2
Comment 6 JBoss JIRA Server 2014-07-02 05:18:45 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-255 to Closed

Note You need to log in before you can comment on or make changes to this bug.